__PPC_SET_PPR_MED(3)

NAME
__ppc_set_ppr_med, __ppc_set_ppr_low, __ppc_set_ppr_med_low - Set the Program Priority Register

SYNOPSIS
#include <sys/platform/ppc.h>

void __ppc_set_ppr_med(void);
void __ppc_set_ppr_low(void);
void __ppc_set_ppr_med_low(void);

DESCRIPTION
These functions provide access to the Program Priority Register (PPR) on the Power architecture.

The PPR is a 64-bit register that controls the program's priority. By adjusting the PPR value the programmer may improve system throughput by causing system resources to be used more efficiently, especially in contention situations. The three unprivileged states available are covered by the following functions:

*   __ppc_set_ppr_med() sets the Program Priority Register value to medium (default).

*   __ppc_set_ppr_low() sets the Program Priority Register value to low.

*   __ppc_set_ppr_med_low() sets the Program Priority Register value to medium low.

VERSIONS
These functions first appeared in glibc in version 2.18.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

CONFORMING TO
These functions are nonstandard GNU extensions.

SEE ALSO
__ppc_yield(3) Power ISA, Book II - Section 3.1 (Program Priority Registers)

COLOPHON
This page is part of release 4.02 of the Linux man-pages project. A description of the project, information about reporting bugs, and the latest version of this page, can be found at http://www.kernel.org/doc/man-pages/.